Name:		konversation
Version:	1.7.4
Release:	%mkrel 1
Summary:	A user friendly IRC Client for KDE
License:	GPLv2
Group:		Graphical desktop/KDE5
URL:		http://konversation.kde.org
Source0:	http://download.kde.org/stable/konversation/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		konversation-default-channel.patch
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires:  kf5-macros
BuildRequires:  karchive-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kemoticons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kidletime-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  solid-devel
BuildRequires:  sonnet-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemviews-devel
BuildRequires:  qca2-qt5-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:	qca2-devel

Provides:	plasma5-irc-client

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with KDE support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

						    
%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# purge use of /usr/bin/env
sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python}|g" \
  %{buildroot}%{_kf5_datadir}/konversation/scripts/*

%find_lang --with-html %{name}

%files -f %{name}.lang
%doc README
%{_kf5_bindir}/*
%{_kf5_datadir}/%{name}
%{_kf5_datadir}/applications/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/knotifications5
%{_kf5_datadir}/kxmlgui5/konversation
%{_kf5_datadir}/metainfo/org.kde.konversation.appdata.xml

%changelog
* Sun Dec 17 2017 adrianomosrelli <adrianomorselli> 1.7.4-1uplos2017
- update
